﻿namespace UltraButtonPictureSize
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.Win;

    public partial class Form1 : Form
    {
        private Image image;

        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.trackBar1.Scroll += TrackBar1_Scroll;
        }

        private Image Image
        {
            get
            {
                if(this.image == null)
                {
                    this.image = Image.FromFile(@"../../pics/ig.png");
                }

                return this.image;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraButtonScale.Appearance.Image = this.Image;
            this.ultraButtonScale.Appearance.ImageHAlign = HAlign.Left;
            this.ultraButtonScale.Appearance.ImageVAlign = VAlign.Middle;
            this.ultraButtonScale.ImageSize = new Size(20, 20);
            this.ultraButtonFix.Appearance.Image = this.Image;
            this.ultraButtonFix.Appearance.ImageHAlign = HAlign.Left;
            this.ultraButtonFix.Appearance.ImageVAlign = VAlign.Middle;
        }

        private void TrackBar1_Scroll(object sender, EventArgs e)
        {
            var trackBar = sender as TrackBar;
            if(trackBar == null)
                return;

            var font = new Font(this.Font.FontFamily, trackBar.Value);
            this.Font = font;
            var currentSize = this.ultraButtonScale.ImageSize;
            this.ultraButtonScale.ImageSize = new Size(trackBar.Value * 2, trackBar.Value * 2);
        }
    }
}
